# eric4.UI.SplashScreen

Module implementing a splashscreen for eric4.

### Global Attributes

None

### Classes

NoneSplashScreen | Class implementing a "None" splashscreen for eric4.
SplashScreen | Class implementing a splashscreen for eric4.

### Functions

None

## NoneSplashScreen

Class implementing a "None" splashscreen for eric4.

This class implements the same interface as the real splashscreen, but simply does nothing.

### Derived from

object

### Class Attributes

None

### Class Methods

None

### Methods

NoneSplashScreen | Constructor
clearMessage | Public method to clear the message shown.
finish | Public method to finish the splash screen.
showMessage | Public method to show a message in the bottom part of the splashscreen.

### Static Methods

None

#### NoneSplashScreen (Constructor)

NoneSplashScreen()

Constructor

#### NoneSplashScreen.clearMessage

clearMessage()

Public method to clear the message shown.

#### NoneSplashScreen.finish

finish(widget)

Public method to finish the splash screen.

widget
  widget to wait for (QWidget)

#### NoneSplashScreen.showMessage

showMessage(msg)

Public method to show a message in the bottom part of the splashscreen.

msg
  message to be shown (string or QString)

Up

## SplashScreen

Class implementing a splashscreen for eric4.

### Derived from

QSplashScreen

### Class Attributes

None

### Class Methods

None

### Methods

SplashScreen | Constructor
clearMessage | Public method to clear the message shown.
showMessage | Public method to show a message in the bottom part of the splashscreen.

### Static Methods

None

#### SplashScreen (Constructor)

SplashScreen()

Constructor

#### SplashScreen.clearMessage

clearMessage()

Public method to clear the message shown.

#### SplashScreen.showMessage

showMessage(msg)

Public method to show a message in the bottom part of the splashscreen.

msg
  message to be shown (string or QString)

Up